OMI_ROOT=/
CONFIG_PREFIX=/usr
LIBDIR=$(OMI_ROOT)//usr/lib64
BINDIR=$(OMI_ROOT)//usr/bin
INCLUDEDIR=$(OMI_ROOT)//usr/include/omi
SYSCONFDIR=$(OMI_ROOT)//etc/omi
CXXLIBS = -L$(LIBDIR) -lmicxx

__OBJECTS = $(SOURCES:.c=.o)
OBJECTS = $(__OBJECTS:.cpp=.o)
INCLUDES += -I$(INCLUDEDIR)

CC=gcc
CXX=g++

ifndef DEBUG
  CFLAGS=-g -fPIC -Wall -fvisibility=hidden -fno-strict-aliasing -fstack-protector-all -D_GNU_SOURCE -D_XOPEN_SOURCE=600 -DGSS_USE_IOV=1 -D_DEFAULT_SOURCE
  CXXFLAGS=-g -std=gnu++98 -fPIC -Wall -fvisibility=hidden -fno-strict-aliasing -fstack-protector-all -D_GNU_SOURCE -D_XOPEN_SOURCE=600 -DGSS_USE_IOV=1 -D_DEFAULT_SOURCE
else
  CFLAGS=cflags: unknown option: --optim
  CXXFLAGS=cxxflags: unknown option: --optim
endif

CSHLIBFLAGS=-shared
CXXSHLIBFLAGS=-shared
LIBRARY = lib$(PROVIDER).so

